- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# tree< T, tree_node_allocator >::iterator_base_less Class Reference

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::iterator_base_less

Comparator class for iterators (compares the actual node content, not pointer values).

Definition at line 364 of file tree.hh.

## Public Member Functions
bool | operator() (const typename tree< T, tree_node_allocator >::iterator_base &one, const typename tree< T, tree_node_allocator >::iterator_base &two) const
bool | operator() (const typename tree< T, tree_node_allocator >::iterator_base &one, const typename tree< T, tree_node_allocator >::iterator_base &two) const
bool | operator() (const typename tree< T, tree_node_allocator >::iterator_base &one, const typename tree< T, tree_node_allocator >::iterator_base &two) const

The documentation for this class was generated from the following files:

- tree.hh
- fx-0.8.2/lib/tree.hh
- fx-0.9.0/lib/tree.hh